<template>

    <article class="p-5">
        <h3 class="title mb-3">{{ car.name }}</h3>

        <div class="mb-3">
            <var class="price h3 text-warning">
<span class="currency">US $</span><span class="num">{{ car.price }}</span>
</var>
            <!-- <span>/per kg</span> -->
        </div>
        <!-- price-detail-wrap .// -->
        <dl>
            <dt>Description</dt>
            <dd>
                <p>Here goes description consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco </p>
            </dd>
        </dl>
        <dl class="row">
            <dt class="col-sm-3">Model#</dt>
            <dd class="col-sm-9">{{ car.model }}</dd>
    
            <dt class="col-sm-3">Attributes: </dt>
            <dd class="col-sm-9 combinations">
            <template v-for="(group,gindex) in groups">
                <template v-if="gindex == 0">
                   
                    <button class="btn btn-secondary mr-2 active" v-on:click="pick(group.price,group.id, $event)">
                        <template v-for="(attribute,index) in group.attributes">
                    
                            <template v-if="index > 0"> - </template>
                    
                            {{ attribute.attribute_value.name }}
                    
                        </template>
                    </button>
                </template>

                <template v-else>
                   
                    <button class="btn btn-secondary mr-2 " v-on:click="pick(group.price,group.id, $event)">
                        <template v-for="(attribute,index) in group.attributes">
                    
                            <template v-if="index > 0"> - </template>
                    
                            {{ attribute.attribute_value.name }}
                    
                        </template>
                    </button>
                </template>

            </template>
            </dd>
            
        </dl>
        <div class="rating-wrap">

            <ul class="rating-stars">
                <li style="width:80%" class="stars-active">
                    <i class="fa fa-star"></i> <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i> <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                </li>
                <li>
                    <i class="fa fa-star"></i> <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i> <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                </li>
            </ul>
            <!-- <div class="label-rating">132 reviews</div>
            <div class="label-rating">154 orders </div> -->
        </div>
        <!-- rating-wrap.// -->
        <hr>
        <div class="row">
            <div class="col-sm-12">
                <dl class="dlist-inline">
                    <dt class="mr-1">Quantity: </dt>
                    <dd>
                        <div class="qty-content">
                        <button class="btn btn-secondary mr-1" v-on:click="plus"><i class="fa fa-plus"></i></button>
                        <input class="form-control form-control-sm  mr-1" name="qty" v-model="quantity" style="width:70px;">
                        <button class="btn btn-secondary mr-1" v-on:click="minus"><i class="fa fa-minus"></i></button>
                        <div class="message">{{ errorMessage }}</div>
                        </div>
                    </dd>

                </dl>
                <!-- item-property .// -->
            </div>

        </div>
        <!-- row.// -->
        <hr>
        <form method="GET" :action="'/add-to-cart/'+car.id+groupid">
            <input type="hidden" name="_token" :value="csrf">
            <input type="hidden" name="qty" :value="quantity">
            <a :href="'/buy-now/'+car.id+groupid" class="btn  btn-primary mr-2"> Buy now </a>
            <button class="btn  btn-outline-primary"> <i class="fas fa-shopping-cart"></i> Add to cart </button>
        </form>
    </article>
    <!-- card-body.// -->
</template>

<script>
import axios from "axios";
export default {
    props: ['carid'],
    data() {
        return {
            car: [],
            groupid: '',
            quantity: 1,
            csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
            defaultPrice: '',

            groups: [],
            max: 1,
            errorMessage: '',
        };
    },
    mounted() {   
        axios.get("http://cars-test.test/get_car/"+this.carid)
        .then(res => {
            this.car = res.data;
            this.defaultPrice = res.data.price;
            this.groups = res.data.groups;
            if (this.groups.length) {
                this.car.price = this.groups[0].price;
                this.groupid = '/'+this.groups[0].id;
                this.max = this.groups[0].qty;
            }
        })
        .catch(error => {
            console.log(error)
        });
    },
    methods: {
        pick: function(price, id, event){
            event.preventDefault();
            this.groupid = '/'+id;
            console.log(price);
            if(price !== null) {
                this.car.price = price;
            }
             else {
                this.car.price = this.defaultPrice;
            }
            this.quantity = 1
    
            $('.combinations > button').removeClass('active');
            $(event.target).addClass('active');

        },
        plus: function(){
            this.quantity++;
            this.errorMessage = '';
            if (this.quantity >= this.max) {
                this.quantity = this.max;
                this.errorMessage = 'Maximum!!';
            }
        },
        minus: function(){
            this.quantity--;
            this.errorMessage = '';
            if (this.quantity<=1){
                this.quantity=1;
                this.errorMessage = 'Minimum!!';
            }
        }
    },
    beforeMount(){
        $('.combinations > button:first-child').trigger('click')
    }
};
</script>